Неавторизованное изменение данных в Drupal

Дата публикации:
16.10.2014
Дата изменения:
16.10.2014
Всего просмотров:
1458
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:O/RC:C) = Base:7.5/Temporal:5.5
CVE ID:
CVE-2014-3704
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
Drupal 7.x
Уязвимые версии:
Drupal версии до 7.32

Описание:
Уязвимость позволяет удаленному пользователю осуществить SQL-инъекцию.

Уязвимость существует из-за того, что компонент database abstraction API неправильно обрабатывает запросы пользователя. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Примечание: Успешная эксплуатация уязвимости позволяет скомпрометировать целевую систему.

URL производителя: https://www.drupal.org/

Решение: Установите последнюю версию 7.32 с сайта производителя.



Ссылки: https://www.drupal.org/SA-CORE-2014-005